Summary: Japanese Input System (̾Ѵƥ)
Name: Wnn
Version: 4.2
Release: 7glibc
Source0: ftp://ftp.tut.ac.jp/UNIX/wnn/Wnn4.2.tar.gz
Source1: localhost:/jserver.init
Source2: localhost:/Wnn_KF001.doc
Patch0: localhost:/Wnn-4.2.shared.patch
Patch1: localhost:/Wnn-4.2.jserveronly.patch
Patch2: localhost:/Wnn-4.2.inc-lib.patch
Patch3: localhost:/Wnn-4.2.v3.patch
Patch4: localhost:/Wnn-4.2.uum.patch
Patch5: localhost:/wnn.fix.patch
Patch6: localhost:/wnn4.2-mklignux-ppc.link_libcrypt.patch
Patch7: localhost:/wnn4.2-mklignux-ppc.types.patch
Patch8: localhost:/wnn_kf001.patch

Copyright: distributable
Group: Extensions/Japanese
Distribution: Japanese RPM (JRPM)
Vendor:       Linux Japanese RPM Project 
BuildRoot: /var/tmp/root-Wnn4
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
Wnn is a network-extensible Kana-to-Kanji conversion system.
Wnn ϥͥåȥ̾ѴƥǤ

󥹥ȡˤ٤ȡ
wnn 桼 /etc/passwd ˡwnn 롼פ /etc/group ϿƤ

%package devel
Summary: development library and header file for Wnn
Group: Extensions/Japanese
%description devel
This package contains the header file and library for building programs
with use Wnn.
Υѥåˤ Wnn Ѥץ򥳥ѥ뤹뤿ɬ
ʥإåեȥ饤֥ޤǤޤ

%changelog
* Sat Jul 11 1998 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- 7th release
- applied Kaoru Fukui <k_fukui@highway.ne.jp>'s malloc patch

* Thu Feb 12 1998 Shoichiro Nagata <nagata@mach.ee.miyazaki-u.ac.jp>
- 6th release
- append wnn.fix.patch for glibc by Atsutoshi Morishima

* Thu Nov 13 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 5th release
- shared library jd provided
- divided the Wnn package into Wnn and Wnn-devel

* Sat Oct 04 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 4th release
- shared library wnn provided

* Wed Sep 03 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 3rd release
- listed in .spec explicitly files in the directory /usr/local/bin/Wnn4/

* Mon Sep 01 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 2nd release
- created X11.tmpl and Project.tmpl for X11R6.1 or X11R6.3
- rename the init file, mv jserver jserver.init

* Thu Aug 21 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release

%prep
%setup -n Xsi
%patch0 -p1

cd config
tail +1083 Project.tmpl | sed 's/$imakeprefix/(IMAKEPREFIX)/g' >Project.tmpl.wnn
mv Project.tmpl Rroject.tmpl.org
if [ -e /usr/X11R6/lib/X11/config/X11.tmpl ]
then
	cat /usr/X11R6/lib/X11/config/X11.tmpl Project.tmpl.wnn >X11.tmpl
else
	cat /usr/X11R6/lib/X11/config/Project.tmpl Project.tmpl.wnn >X11.tmpl
fi
ln -s X11.tmpl Project.tmpl
cd ..

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p4

cd $RPM_BUILD_DIR/Xsi
cp $RPM_SOURCE_DIR/Wnn_KF001.doc .
mkdir -p Xsi/Wnn
mkdir -p Xsi/config
cp README README.sun Xsi
cp Wnn/FAQ Wnn/READ.ME Wnn/READ.ME.j Xsi/Wnn
cp config/X11.tmpl Xsi/config
touch Xsi/config/Project.tmpl

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -fs $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -fs $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.3
fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1

%build
make World -f Makefile.inst

%install
WNNMANPATH=$RPM_BUILD_ROOT/usr/local/man/ja_JP.ujis
make install DESTDIR=$RPM_BUILD_ROOT
make install.man MANPATH=$WNNMANPATH

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp $RPM_SOURCE_DIR/jserver.init $RPM_BUILD_ROOT/etc/rc.d/init.d
cd $RPM_BUILD_ROOT/etc/rc.d
for rcd in rc0.d rc6.d
do
	(mkdir $rcd; cd $rcd; ln -fs ../init.d/jserver.init K12jserver)
done
for rcd in rc2.d rc3.d rc5.d
do
	(mkdir $rcd; cd $rcd; ln -fs ../init.d/jserver.init S12jserver)
done

cd $WNNMANPATH
mkdir man4 man5
mv man1/*.4 man4
mv man1/*.5 man5

chown root.root $RPM_BUILD_DIR/RN_Wnn42

mkdir $RPM_BUILD_ROOT/usr/local/lib/wnn/ja_JP/dic/usr
chown wnn $RPM_BUILD_ROOT/usr/local/lib/wnn/ja_JP/dic/usr

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

cd /usr/local/lib/wnn/ja_JP/dic/pubdic
/usr/local/bin/Wnn4/wnntouch *.*

cd /usr/doc/Wnn-4.2/Xsi/config
ln -fs X11.tmpl Project.tmpl 

%postun
/sbin/ldconfig

%files
%doc ../RN_Wnn42 Xsi Wnn_KF001.doc
%config /etc/rc.d/init.d/jserver.init
/etc/rc.d/rc0.d/K12jserver
/etc/rc.d/rc6.d/K12jserver
/etc/rc.d/rc2.d/S12jserver
/etc/rc.d/rc3.d/S12jserver
/etc/rc.d/rc5.d/S12jserver

/usr/local/lib/wnn/

/usr/local/lib/libwnn.so.1.0.0
/usr/local/lib/libwnn.so.1.0
/usr/local/lib/libjd.so.1.0.0
/usr/local/lib/libjd.so.1.0

%dir /usr/local/bin/Wnn4/
     /usr/local/bin/Wnn4/jserver
     /usr/local/bin/Wnn4/uum
     /usr/local/bin/Wnn4/wnnstat
     /usr/local/bin/Wnn4/wnnkill
     /usr/local/bin/Wnn4/wddel
     /usr/local/bin/Wnn4/wdreg
     /usr/local/bin/Wnn4/oldatonewa
     /usr/local/bin/Wnn4/dtoa
     /usr/local/bin/Wnn4/atod
     /usr/local/bin/Wnn4/atof
     /usr/local/bin/Wnn4/wnntouch

/usr/local/man/ja_JP.ujis/man1/jserver.1
/usr/local/man/ja_JP.ujis/man1/uum.1
/usr/local/man/ja_JP.ujis/man1/wnnkill.1
/usr/local/man/ja_JP.ujis/man1/wnnstat.1
/usr/local/man/ja_JP.ujis/man1/atod.1
/usr/local/man/ja_JP.ujis/man1/atof.1
/usr/local/man/ja_JP.ujis/man1/dtoa.1
/usr/local/man/ja_JP.ujis/man1/wddel.1
/usr/local/man/ja_JP.ujis/man1/wdreg.1
/usr/local/man/ja_JP.ujis/man1/wnntouch.1
/usr/local/man/ja_JP.ujis/man1/oldatonewa.1

/usr/local/man/ja_JP.ujis/man4/2a_ctrl.4
/usr/local/man/ja_JP.ujis/man4/2b_romkana.4
/usr/local/man/ja_JP.ujis/man4/cvt_key_tbl.4
/usr/local/man/ja_JP.ujis/man4/fzk.data.4
/usr/local/man/ja_JP.ujis/man4/fzk.u.4
/usr/local/man/ja_JP.ujis/man4/hinsi_data.4
/usr/local/man/ja_JP.ujis/man4/jserverrc.4
/usr/local/man/ja_JP.ujis/man4/mode.4
/usr/local/man/ja_JP.ujis/man4/serverdefs.4
/usr/local/man/ja_JP.ujis/man4/ujis_dic.4
/usr/local/man/ja_JP.ujis/man4/uumkey.4
/usr/local/man/ja_JP.ujis/man4/uumrc.4
/usr/local/man/ja_JP.ujis/man4/wnnenvrc.4

/usr/local/man/ja_JP.ujis/man5/pubdic.5
/usr/local/man/ja_JP.ujis/man5/usr_dic.5

%files devel
/usr/local/lib/libwnn.a
/usr/local/lib/libwnn.so
/usr/local/lib/libjd.a
/usr/local/lib/libjd.so

%dir /usr/local/include/wnn/
     /usr/local/include/wnn/*.h

/usr/local/man/ja_JP.ujis/man3/jl_*.3x
/usr/local/man/ja_JP.ujis/man3/js_*.3x
/usr/local/man/ja_JP.ujis/man3/romkan_*.3x
/usr/local/man/ja_JP.ujis/man3/msg_*.3x
